Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001707KdenliveUser Interfacepublic2010-07-23 16:412010-09-22 17:54
ReporterGranjow 
Assigned Toj-b-m 
PriorityhighSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.7.8Fixed in Version0.7.8 
Summary0001707: Folders cannot be renamed anymore in the project tree
DescriptionAt least here.
TagsNo tags attached.
Build/Install MethodManual build from SVN
Attached Files

- Relationships

-  Notes
(0005397)
ttill (developer)
2010-07-24 12:29

Hi,
I was able to track down the problem, but currently I see no good fix.
The problem are the switching icons for folders introduced in svn r4606. When pressing the enter key for closing the folder name editor the key press event seems to be handled before taking care of a changed value in the editor. In the key press event the folder is expanded and the icon is changed, which however sets the item modified and therefore closes the editor. This is why a "Rename folder" command appears in the undo history.
I didn't find a way to access the value of the editor, so maybe someone else can take a look at this issue. If not I will revert the icon switching thing.
(0005399)
Granjow (developer)
2010-07-24 13:24

Could you please give me some coordinates of the problem?
(0005400)
ttill (developer)
2010-07-24 14:11

In ProjectListView take a look at keyPressEvent, which is also emitted if the editor should be closed.
In ProjectList take a look at slotItemEdited which is connected to itemChanged of ProjectListView (qtreewidget).
(0005404)
j-b-m (administrator)
2010-07-25 21:07

i am also looking at this issue, I can probably fix it tomorrow.
(0005405)
j-b-m (administrator)
2010-07-26 16:41

Should be fixed in svn rev. 4645, and item expand / collapse is now done through the + / - keys
(0005406)
Granjow (developer)
2010-07-26 17:00

... now *also* done with +-

Nice, working :) Thank you very much!

(Just for info, a workaround before the patch was renaming it and confirming by clicking somewhere else with the mouse instead of pressing enter.)

- Issue History
Date Modified Username Field Change
2010-07-23 16:41 Granjow New Issue
2010-07-23 20:29 ttill Assigned To => ttill
2010-07-23 20:29 ttill Status new => assigned
2010-07-24 12:29 ttill Note Added: 0005397
2010-07-24 12:29 ttill Assigned To ttill =>
2010-07-24 12:29 ttill Status assigned => acknowledged
2010-07-24 13:24 Granjow Note Added: 0005399
2010-07-24 14:11 ttill Note Added: 0005400
2010-07-25 21:07 j-b-m Note Added: 0005404
2010-07-26 16:41 j-b-m Note Added: 0005405
2010-07-26 16:41 j-b-m Assigned To => j-b-m
2010-07-26 16:41 j-b-m Status acknowledged => feedback
2010-07-26 17:00 Granjow Note Added: 0005406
2010-07-26 17:00 Granjow Status feedback => assigned
2010-07-26 17:01 Granjow Status assigned => resolved
2010-07-26 17:01 Granjow Fixed in Version => Recent git
2010-07-26 17:01 Granjow Resolution open => fixed
2010-09-14 11:00 j-b-m Fixed in Version Recent git => 0.7.8
2010-09-14 23:01 j-b-m Status resolved => closed
2010-09-22 17:54 Granjow Target Version future version => 0.7.8


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker